Bug 115269 - LO Base Report Builder crashes on modifying Page Header Horizontal or Vertical alignment
Summary: LO Base Report Builder crashes on modifying Page Header Horizontal or Vertica...
Status: VERIFIED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Base (show other bugs)
Version:
(earliest affected)
6.0.0.3 release
Hardware: x86-64 (AMD64) Linux (All)
: high major
Assignee: Julien Nabet
URL:
Whiteboard: target:6.1.0 target:6.0.0 target:6.0.1
Keywords: regression
Depends on:
Blocks:
 
Reported: 2018-01-28 04:24 UTC by JimJ_Wpg
Modified: 2018-02-01 15:29 UTC (History)
3 users (show)

See Also:
Crash report or crash signature: ["strchr"]
Regression By:


Attachments
bt with debug symbols (3.56 KB, text/plain)
2018-01-28 09:36 UTC, Julien Nabet
Details

Note You need to log in before you can comment on or make changes to this bug.
Description JimJ_Wpg 2018-01-28 04:24:48 UTC
Description:
LO Base Report Wrier crashes on modifying Page Header Horizontal or Vertical alignment.

Selecting text in Page Header section. Then in menu, select View > Properties > selecting Centre in Horizontal or Vertical will crash LibreOffice 6.0.0.1 and 6.0.0.3

Steps to Reproduce:
1. Ener Label in page header section.
2. Modify Horiztonal or Verical alignmen in Properties box.
3.

Actual Results:  
Selecting text in Page Header section. Then in menu, select View > Properties > selecting Centre in Horizontal or Vertical will crash LibreOffice 6.0.0.1 and 6.0.0.3

Expected Results:
Position of text changes, based on selection of alignment.


Reproducible: Always


User Profile Reset: No



Additional Info:
Version: 6.0.0.3
Build ID: 64a0f66915f38c6217de274f0aa8e15618924765
CPU threads: 2; OS: Linux 4.10; UI render: default; VCL: gtk2; 
Locale: en-CA (en_CA.UTF-8); Calc: group


User-Agent: Mozilla/5.0 (X11; Fedora; Linux x86_64; rv:54.0) Gecko/20100101 Firefox/54.0
Comment 1 Julien Nabet 2018-01-28 09:36:39 UTC
Created attachment 139403 [details]
bt with debug symbols

On pc Debian x86-64 with master sources updated yesterday, I could reproduce this.
Regression from https://cgit.freedesktop.org/libreoffice/core/commit/?id=00657aef09d854c74fb426a935a3e8b1fc390bb0
Comment 2 Julien Nabet 2018-01-28 09:42:40 UTC
FYI, I submitted a patch to review here:
https://gerrit.libreoffice.org/#/c/48765/
Comment 3 Commit Notification 2018-01-28 13:08:24 UTC
Julien Nabet committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=3003c27d87c6ad47ed9cadb1f574882c530522b1

tdf#115269: fix crash when changing horizontal align (reportdesign)

It will be available in 6.1.0.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 4 Julien Nabet 2018-01-28 13:11:32 UTC
backports on review for:
6.0 branch https://gerrit.libreoffice.org/#/c/48786/
6.0.0 branch https://gerrit.libreoffice.org/#/c/48787/
Comment 5 Commit Notification 2018-01-28 13:19:15 UTC
Julien Nabet committed a patch related to this issue.
It has been pushed to "libreoffice-6-0":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=50c3610c27538d034d43ffd3ca1658147d724396&h=libreoffice-6-0

tdf#115269: fix crash when changing horizontal align (reportdesign)

It will be available in 6.0.1.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 6 Xisco Faulí 2018-01-28 21:03:22 UTC
Thanks Julien for the quick fix!!
Comment 7 JimJ_Wpg 2018-01-28 22:17:38 UTC
Yes, thank you Julien for fixing this so quickly.
Comment 8 Xisco Faulí 2018-01-29 10:55:39 UTC
Verified in

Version: 6.1.0.0.alpha0+
Build ID: 75802ae40ae67737ae9e4f1a38434e0587affff6
CPU threads: 4; OS: Linux 4.10; UI render: default; VCL: gtk3; 
Locale: ca-ES (ca_ES.UTF-8); Calc: group threaded
Comment 9 Commit Notification 2018-01-30 17:29:16 UTC
Julien Nabet committed a patch related to this issue.
It has been pushed to "libreoffice-6-0-0":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=e8436c38dcefc1b120ead43d3c2ac7ff4903511a&h=libreoffice-6-0-0

tdf#115269: fix crash when changing horizontal align (reportdesign)

It will be available in 6.0.0.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.